#import <Foundation/Foundation.h>

@interface IgnoreAsserts : NSAssertionHandler
@end
@implementation IgnoreAsserts
- (void)handleFailureInFunction: (NSString*)functionName
             file: (NSString*)fileName
       lineNumber: (NSInteger)line
      description: (NSString *)format, ...
{
	NSLog(@"Ignoring assert on line %d of %@() in %@", line, functionName, fileName);
}
@end

int main(void)
{
	[NSAutoreleasePool new];
	[[[NSThread currentThread] threadDictionary]
		setObject: [[IgnoreAsserts new] autorelease]
		   forKey: NSAssertionHandlerKey];
	NSCAssert(1 == 2, @"This might not be true");
	return 0;
}
